<?xml version="1.0" encoding="utf-8"?>

<!--

This stylesheet convert a gw.properties from a gateway version of 4.1.2 to
version 4.1.3. To do so:

Set the following parameters,

netborder.sip.tcpTls.asynchronousIO.enable=true
netborder.media.vad.sensitivity=1
netborder.pstn.isdn.maintenance.serviceMessages.supported=false

-->

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method = "xml" indent = "yes" /> 

<!-- This template copy all the elements and their attributes -->
<xsl:template match="node()|@*">
  <xsl:copy>
    <xsl:apply-templates select="node()|@*"/>
  </xsl:copy>
</xsl:template>

<!-- Set netborder.sip.tcpTls.asynchronousIO.enable=true -->
<xsl:template match="sip/tcpTls/asynchronousIO/enable">
  <xsl:copy>
    <xsl:apply-templates select="node()|@*"/>
    <xsl:attribute name="value">true</xsl:attribute>
    <xsl:attribute name="defined">true</xsl:attribute>
  </xsl:copy>
</xsl:template>

<!-- Set netborder.media.vad.sensitivity=1 -->
<xsl:template match="media/vad/sensitivity">
  <xsl:copy>
    <xsl:apply-templates select="node()|@*"/>
    <xsl:attribute name="value">1</xsl:attribute>
    <xsl:attribute name="defined">true</xsl:attribute>
  </xsl:copy>
</xsl:template>

<!-- Set netborder.pstn.isdn.maintenance.serviceMessages.supported=false -->
<xsl:template match="pstn/isdn/maintenance/serviceMessages/supported">
  <xsl:copy>
    <xsl:apply-templates select="node()|@*"/>
    <xsl:attribute name="value">false</xsl:attribute>
    <xsl:attribute name="defined">true</xsl:attribute>
  </xsl:copy>
</xsl:template>

</xsl:stylesheet> 
