<?xml version="1.0" encoding="utf-8"?>

<!--

This stylesheet convert a oamWebServer.properties from a gateway version of 4.1.3 to
version 4.2.0. To do so:

Remove the following parameters:

* netborder.oamWebServer.defaultUDPListenPort=5066
* netborder.oamWebServer.defaultTCPListenPort=5066
* netborder.oamWebServer.defaultTLSListenPort=5067
* netborder.oamWebServer.defaultUDPTCPSendPort=5060
* netborder.oamWebServer.defaultTLSSendPort=5061

Added the following parameters:

* netborder.oamWebServer.wizardPropertiesFile=${netborder.Installation.Directory}/config/wizard.properties
* netborder.oamWebServer.wizardParamDB=${netborder.Installation.Directory}/config/wizardParamDefs.xml

-->

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method = "xml" indent = "yes" /> 

<!-- This template copy all the elements and their attributes -->
<xsl:template match="node()|@*">
  <xsl:copy>
    <xsl:apply-templates select="node()|@*"/>
  </xsl:copy>
</xsl:template>

<!-- Remove defaultUDPListenPort -->
<xsl:template match="netborder/oamWebServer/defaultUDPListenPort" />

<!-- Remove defaultTCPListenPort -->
<xsl:template match="netborder/oamWebServer/defaultTCPListenPort" />

<!-- Remove defaultTLSListenPort -->
<xsl:template match="netborder/oamWebServer/defaultTLSListenPort" />

<!-- Remove defaultTCPUDSendPort -->
<xsl:template match="netborder/oamWebServer/defaultUDPTCPSendPort" />

<!-- Remove defaultTLSSendPort -->
<xsl:template match="netborder/oamWebServer/defaultTLSSendPort" />

<!-- Add properties
     * netborder.oamWebServer.wizardPropertiesFile, 
     * netborder.oamWebServer.wizardParamDB  -->
<xsl:template match="netborder/oamWebServer">
  <xsl:copy>
    <xsl:apply-templates select="node()|@*"/>
    <xsl:element name="wizardPropertiesFile">
      <xsl:attribute name="value">${netborder.Installation.Directory}/config/wizard.properties</xsl:attribute>
      <xsl:attribute name="defined">true</xsl:attribute>
    </xsl:element>	
    <xsl:element name="wizardParamDB">
      <xsl:attribute name="value">${netborder.Installation.Directory}/config/WizardParamDefs.xml</xsl:attribute>
      <xsl:attribute name="defined">true</xsl:attribute>
    </xsl:element>
  </xsl:copy>
</xsl:template>

</xsl:stylesheet> 

