<?xml version="1.0" encoding="utf-8"?>

<!--

This stylesheet convert a pstn-config from a gateway version of 3.0.6 to version
4.0.0. To do so:

-Xml version need to be changed to 3.0
  Gateway 3.0.6 -> pstn-config 2.3
  Gateway 4.0.0 -> pstn-config 3.0

-Attribute phoneNumber is added to FXO interfaces and is required by the
gateway. The stylesheet create an invalid phone number and a warning message is 
printed to stderr telling the user to set the phone number. The update process 
is expected to catch this warning and handle it properly.

-->

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method = "xml" indent = "yes" /> 

<!-- This template copy all the elements and their attributes -->
<xsl:template match="node()|@*">
  <xsl:copy>
    <xsl:apply-templates select="node()|@*"/>
  </xsl:copy>
</xsl:template>


<!-- Set pstnConfig version to 3.0 -->
<xsl:template match="pstnConfig">
  <xsl:copy>
    <xsl:apply-templates select="@*"/>
    <xsl:attribute name="version">3.0</xsl:attribute>
    <xsl:apply-templates select="node()"/>
  </xsl:copy>
</xsl:template>


<!-- Add phone number to each FXO interface and print a warning -->
<xsl:template match="interface[@type='FXO']">
  <xsl:copy>
    <xsl:apply-templates select="@*"/>
    <xsl:attribute name="phoneNumber">SET_A_PHONE_NUMBER</xsl:attribute>
    <xsl:message>
      <xsl:text>WARN:FXO interface </xsl:text>
      <xsl:value-of select="@displayName"/>
      <xsl:text> require a phone number, set this using the gateway web UI.</xsl:text>
    </xsl:message>
  </xsl:copy>
  <xsl:message>
  </xsl:message>
</xsl:template>

</xsl:stylesheet> 
