<?xml version="1.0" encoding="utf-8"?>

<!--

This stylesheet convert a pstn-config from a gateway version of 4.1.2 to version
4.1.3. To do so:

-Xml version need to be changed to 4.1
  Gateway 4.1.2 -> pstn-config 3.1
  Gateway 4.1.3 -> pstn-config 4.1

 - remove TIE from digitalBRI since it is call control attribute and not a physical attributes

 - Added TEI, topology abd multipleSubscribeNmber attributes to briConfig
-->

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method = "xml" indent = "yes" /> 


<!-- This template copy all the elements and their attributes -->
<xsl:template match="node()|@*">
  <xsl:copy>
    <xsl:apply-templates select="node()|@*"/>
  </xsl:copy>
</xsl:template>


<!-- Set pstnConfig version to 4.1 -->
<xsl:template match="pstnConfig">
  <xsl:copy>
    <xsl:apply-templates select="@*"/>
    <xsl:attribute name="version">4.1</xsl:attribute>
    <xsl:apply-templates select="node()"/>
  </xsl:copy>
</xsl:template>

<!-- Remove TEI from digitalBRI since this attribute has been move  -->
<xsl:template match="digitalBRI">
  <xsl:copy>
    <xsl:apply-templates select="@*[not(name()='TEI')]"/>
    <xsl:apply-templates select="node()"/>
  </xsl:copy>
</xsl:template>

<!-- 
Add topology, TEI, MultipleSubscriberNumbers and infor user the TEI need to be reassigned
-->
<xsl:template match="briConfig">
  <xsl:copy>
    <xsl:apply-templates select="@*"/>    
    <xsl:attribute name="topology">POINT-TO-POINT</xsl:attribute>
    <xsl:attribute name="TEI">0</xsl:attribute>
    <xsl:message>
      <xsl:text>WARN: Previous TEI values has been lost during update.  Please reassign proper TEI values to your BRI interfaces.</xsl:text>
    </xsl:message>   
    <xsl:attribute name="multipleSubscriberNumbers"></xsl:attribute>
    <xsl:apply-templates/>
  </xsl:copy>
</xsl:template>

</xsl:stylesheet> 
