#!/bin/bash
#
# This script install the netborder-gateway service scripts and service 
# configuration files
#

SERVICE_NAME=netborder-gateway
SERVICE_SCRIPT_FILE=/etc/init.d/$SERVICE_NAME
SERVICE_CONFIG_FILE=/etc/sysconfig/$SERVICE_NAME.conf

# Stop service is required 
SERVICE_STATUS=`service $SERVICE_NAME status`
if [[ "$SERVICE_STATUS" =~ ".*is running.*" ]] ; then
  echo "Stopping $SERVICE_NAME service..."
  service $SERVICE_NAME stop  
fi

# Uninstalling service
echo "Uninstallaling $SERVICE_NAME service..."
chkconfig --del $SERVICE_NAME

# Remove service init and config files
if [[ -f $SERVICE_CONFIG_FILE ]] ; then
  echo "Removing service configuration file: $SERVICE_CONFIG_FILE..."
  rm -f $SERVICE_CONFIG_FILE
fi

if [[ -f $SERVICE_SCRIPT_FILE ]] ; then
  echo "Removing scrip file: $SERVICE_SCRIPT_FILE..."
  rm -f $SERVICE_SCRIPT_FILE 
fi

