Ext.namespace("Paraxip.config","Paraxip.config.provisioning");

function uploadProvisioningCfgFile() {
  if(Paraxip.config.provisioning.provisioningUploadField.isValid()){
    Paraxip.config.provisioningPanel.getForm().clearInvalid();
    Paraxip.config.provisioningPanel.getForm().submit({
      url: Paraxip.baseUrl + 'config/generatePbxConfig'
      ,waitMsg: 'Generating Configuration...'
      ,clientValidation: false
      ,success: function(form,action){
        Ext.Msg.alert('Success', 'Configuration was successfully generated.');
      }
      ,failure: function(form,action) {
        var errorStr = "";
        if( action && action.response ) {
          var response = Ext.util.JSON.decode(action.response.responseText);
          if( response.errors['errorMsg'] ){
            errorStr = response.errors['errorMsg'] + " Please see Gateway " +
                       "Manager log file for more details.";
          } else {
            errorStr = "Failed to generate configuration files. Please see " +
                       "Gateway Manager log file for more details.";
          }
        } else {
          errorStr = "Failed to upload provisioning file to the server";
        }
        Ext.Msg.alert("Failure", errorStr);
      }
    });
  } else {
    Ext.Msg.alert(
      "Provisioning File Not Specified",
      "Provisioning Input File needs to be specified before clicking on " +
      "\"Generate Configuration\""
    );
  }
}

Paraxip.config.provisioning.provisioningLabel = new Ext.form.Label({
  id      : "Paraxip.config.provisioning.provisioningLabel"
  ,text   : "Provisioning XML Input File:"
  ,width  : 200
  ,style  : "padding-top:5px;padding-bottom:5px;padding-right:20px;"
});

Paraxip.config.provisioning.provisioningUploadField = new Ext.form.TextField({
  id            : "Paraxip.config.provisioning.provisioningUploadField"
  ,name         : "pbxCfgFile"
  ,fieldLabel   : "Provisioning XML Input File:"
  ,readOnly     : false
  ,inputType    : "file"
  ,allowBlank   : false
  ,width        : 250
  ,minListWidth : 250
});

Paraxip.config.provisioning.generateBtn = new Ext.Button({
  id: "Paraxip.config.provisioning.generateBtn"
  ,text: "Generate Configuration"
  ,handler: uploadProvisioningCfgFile
});

Paraxip.config.provisioning.provisioningFS = new Ext.form.FieldSet({
  id            : "Paraxip.config.provisioning.provisioningFS"
  ,title        : "Provisioning"
  ,items        : [Paraxip.config.provisioning.provisioningLabel]
  ,helpUrl      : "smart-update/provisioning.html"
  ,layoutConfig : {
    columns: 2
  }
});

Paraxip.config.provisioning.provisioningFS.add(Paraxip.config.provisioning.provisioningUploadField);
Paraxip.config.provisioning.provisioningFS.add(Paraxip.config.provisioning.generateBtn);

Paraxip.config.provisioningPanel = new Ext.FormPanel({
  id            : "Paraxip.config.provisioningPanel"
  ,layout       : "form"
  ,frame        : true
  ,header       : false
  ,autoScroll   : true
  ,title        : 'Provisioning'
  ,hideMode     : 'offsets'
  ,style        : 'text-align:left;'
  ,fill         : true
  ,fileUpload   : true
  ,labelWidth   : 200
  ,defaults     : {
    layout: 'table'
    ,layoutConfig : {
      columns: 2
    }
    ,style: 'text-align:left;'
    ,labelWidth: 200
    ,bodyStyle: "padding-top:5px;padding-bottom:10px;padding-left:15px;"
    ,width: 500
    ,height: 100
    ,fill: true
    ,buttonAlign: "left"
  }
  ,items        : [
    Paraxip.config.provisioning.provisioningFS
  ]
});
