//Ext.namespace("Paraxip.config");
Ext.namespace("Paraxip.config.fxoTune");

var configTabPanel = new Ext.TabPanel({
  id                : "Paraxip.config.configTabPanel",
  width             : $width,
  height            : $height,
  deferredRender    : true,
  frame             : $frame,
  layoutOnTabChange : false,
  autoScroll        : $autoScroll,
  hideMode          : 'offsets'
});

var items = $items;

configTabPanel.on('beforerender', function() {
  for (itemIndex in items) {
    if (itemIndex < items.length) {
      var item = items[itemIndex];
      item.layout = 'fit';
      configTabPanel.add(item);
    }
  }
  configTabPanel.getItem("pstnEditorTabId").add(editorMainPanel);
  configTabPanel.getItem("routingRulesTabId").add(Paraxip.config.routingRulesPanel);
  configTabPanel.getItem("advancedTabId").add(Paraxip.config.advancedPanel);
  configTabPanel.getItem("fxoTuneTabId").add(fxoTuneWizard);
  configTabPanel.getItem("smartUpdateTabId").add(Paraxip.config.smartUpdatePanel);
  configTabPanel.getItem("provisioningTabId").add(Paraxip.config.provisioningPanel);
  configTabPanel.setActiveTab($activeTab);

});

configTabPanel.on('render', function() {
  Ext.Ajax.request({
    url: Paraxip.baseUrl + "configFileExist",
    disableCaching: true,
    success: function (result, request)
    {
      var response = Ext.util.JSON.decode(result.responseText);
      if (!response.configFileExist) {
        configTabPanel.getComponent("pstnEditorTabId").setDisabled(true);
        configTabPanel.getComponent("fxoTuneTabId").setDisabled(true);
      }
    }
  });
});

configTabPanel.on('tabchange', function(tabPanel, newTab) {
  if( newTab.id == "routingRulesTabId") {
    Paraxip.config.routingRules.getRoutingRules();
  } else if( newTab.id == "fxoTuneTabId") {
    Paraxip.config.fxoTune.update();
  } else if( newTab.id == "smartUpdateTabId" ) {
    Paraxip.config.smartUpdatePanel.doLayout();
  } else if( newTab.id == "provisioningTabId" ) {
    Paraxip.config.provisioningPanel.doLayout();
  }
});
