Ext.namespace("Paraxip.config","Paraxip.config.smartUpdate");

function uploadFile() {
  if(Paraxip.config.smartUpdate.importUploadField.isValid()){
    Paraxip.config.smartUpdatePanel.getForm().clearInvalid();
    Paraxip.config.smartUpdatePanel.getForm().submit({
      url: Paraxip.baseUrl + 'config/importConfiguration'
      ,clientValidation: false
      ,waitMsg: 'Restoring Configuration...'
      ,success: function(form,action){
        Ext.Msg.alert('Success', 'Configuration was successfully restored.');
      }
      ,failure: function(form,action) {
        var errorStr = "";
        if( action && action.response ) {
          var response = Ext.util.JSON.decode(action.response.responseText);
          if( response.errors['errorMsg'] ){
            errorStr = response.errors['errorMsg'] + " Please see Gateway " +
                       "Manager log file for more details.";
          } else {
            errorStr = "Failed to restore configuration. Please see Gateway " +
                       "Manager log file for more details.";
          }
        } else {
          errorStr = "Failed to upload archive file to the server";
        }
        Ext.Msg.alert("Failure", errorStr);
      }
    });
  } else {
    Ext.Msg.alert(
      "Achive File Not Specified",
      "Configuration Archive File needs to be specified before clicking on " +
      "\"Restore Configuration\""
    );
  }
}

function downloadConfigArchive(btn) {
  try {
    Ext.destroy(Ext.get('downloadIframe'));
  }
  catch(e) {}
  Ext.DomHelper.append(document.body, {
    tag: 'iframe',
    id:'downloadIframe',
    frameBorder: 0,
    width: 0,
    height: 0,
    css: 'display:none;visibility:hidden;height:0px;',
    src: Paraxip.baseUrl + "config/downloadExportedConfig"
  });
}

function exportConfig() {
  Ext.Msg.confirm(
    "Backup Configuration",
    "You are about to backup NBE configuration. Do you want to proceed?",
    function(choice) {
      if( choice == "yes" ) {
        Ext.Ajax.request({
          url: Paraxip.baseUrl + 'config/exportConfiguration'
          ,waitMsg: 'Backing up Configuration...'
          ,params: {js:""}
          ,success: function(result){
            var response = Ext.util.JSON.decode(result.responseText);

            if( response.success ) {
              downloadConfigArchive();
            } else {
              Ext.Msg.alert(
                "Failure",
                "Internal error while backing up configuration. Please see " +
                "Gateway Manager log file for more information."
              );
            }
          }
          ,failure: function(form,action) {
            Ext.Msg.alert(
              "Failure",
              "An error while backing up configuration occured. Please see " +
              "Gateway Manager log file for more information."
            );
          }
        });
      }
    }
  );
}

// Import
Paraxip.config.smartUpdate.importLabel = new Ext.form.Label({
  id      : "Paraxip.config.smartUpdate.importLabel"
  ,text   : "Configuration Archive File:"
  ,width  : 200
  ,style  : "padding-top:5px;padding-bottom:5px;padding-right:20px;"
});

Paraxip.config.smartUpdate.importUploadField = new Ext.form.TextField({
  id            : "Paraxip.config.smartUpdate.importUploadField"
  ,name         : "archiveFile"
  ,fieldLabel   : "Configuration Zip File:"
  ,readOnly     : false
  ,inputType    : "file"
  ,allowBlank   : false
  ,width        : 250
  ,minListWidth : 250
});

Paraxip.config.smartUpdate.importBtn = new Ext.Button({
  id        : "Paraxip.config.smartUpdate.importBtn"
  ,text     : "Restore Configuration"
  ,handler  : uploadFile
});

Paraxip.config.smartUpdate.exportBtn = new Ext.Button({
  id        : "Paraxip.config.smartUpdate.exportBtn"
  ,text     : "Backup Configuration"
  ,handler  : exportConfig
});

Paraxip.config.smartUpdate.exportFS = new Ext.form.FieldSet({
  id        : "Paraxip.config.smartUpdate.exportFS"
  ,title    : "Backup"
  ,items    : [{}]
  ,helpUrl  : "smart-update/export.html"
});

Paraxip.config.smartUpdate.exportFS.add(Paraxip.config.smartUpdate.exportBtn);

Paraxip.config.smartUpdate.importFS = new Ext.form.FieldSet({
  id        : "Paraxip.config.smartUpdate.importFS"
  ,title    : "Restore"
  ,items    : [Paraxip.config.smartUpdate.importLabel]
  ,helpUrl  : "smart-update/import.html"
});

Paraxip.config.smartUpdate.importFS.add(Paraxip.config.smartUpdate.importUploadField);
Paraxip.config.smartUpdate.importFS.add(Paraxip.config.smartUpdate.importBtn);

Paraxip.config.smartUpdatePanel = new Ext.form.FormPanel({
  id            : "Paraxip.config.smartUpdatePanel"
  ,layout       : "form"
  ,frame        : true
  ,header       : false
  ,autoScroll   : true
  ,title        : 'Smart Update'
  ,hideMode     : 'offsets'
  ,style        : 'text-align:left;'
  ,fill         : true
  ,fileUpload   : true
  ,labelWidth   : 200
  ,defaults     : {
    layout: 'table'
    ,layoutConfig : {
      columns: 2
    }
    ,style: 'text-align:left;'
    ,labelWidth: 200
    ,bodyStyle: "padding-top:5px;padding-bottom:10px;padding-left:15px;"
    ,width: 500
    ,height: 100
    ,fill: true
    ,buttonAlign: "left"
  }
  ,items        : [
    Paraxip.config.smartUpdate.exportFS
    ,Paraxip.config.smartUpdate.importFS
  ]
});
