Ext.namespace("Paraxip.status",
              "Paraxip.status.system",
              "Paraxip.status.controls",
              "Paraxip.status.channels",
              "Paraxip.status.logging");

if( startGwTimeout == undefined ) {
  var startGwTimeout = $startGwTimeout;
}

Paraxip.status.statusTabPanel = new Ext.TabPanel({
  id                : 'Paraxip.status.statusTabPanel',
  deferredRender    : true,
  frame             : $frame,
  layoutOnTabChange : true,
  autoScroll        : $autoScroll,
  activeTab         : 0
});

Paraxip.status.controlPanel = new Ext.Panel({
  id        : 'Paraxip.status.controlPanel',
  bodyStyle : 'text-align:left',
  items     : [
    Paraxip.status.controls.controlsPanel
  ]
});

Paraxip.status.systemTabPanel = new Ext.Panel({
  id    : 'Paraxip.status.systemTabPanel',
  items : [
    Paraxip.status.system.systemPanel
  ]
});

Paraxip.status.channelTabPanel = new Ext.Panel({
  id    : 'Paraxip.status.channelTabPanel',
  items : [
    Paraxip.status.channels.channelPanel
  ]
});

Paraxip.status.loggingTabPanel = new Ext.Panel({
  id    : 'Paraxip.status.loggingTabPanel',
 items : [
   Paraxip.status.logging.loggingPanel
  ]
});

Paraxip.status.items = $items;

Paraxip.status.statusTabPanel.on('beforerender', function() {
  for (itemIndex in Paraxip.status.items) {
    if (itemIndex < Paraxip.status.items.length) {
      var item = Paraxip.status.items[itemIndex];
      item.layout = 'absolute';
      Paraxip.status.statusTabPanel.add(item);
    }
  }

  Paraxip.status.statusTabPanel.getItem('controlsTabId').add(Paraxip.status.controlPanel);
  Paraxip.status.statusTabPanel.getItem('systemStatusTabId').disable();
  Paraxip.status.statusTabPanel.getItem('channelsTabId').disable();
  Paraxip.status.statusTabPanel.getItem('loggingTabId').disable();
  Paraxip.status.statusTabPanel.getItem('channelsTabId').on('enable',Paraxip.status.channels.rebuildGridRequest);
  Paraxip.status.statusTabPanel.getItem('channelsTabId').on('disable',Paraxip.status.controls.stopAutomaticRefreshTime);
  Paraxip.status.statusTabPanel.getItem('systemStatusTabId').add(Paraxip.status.systemTabPanel);
  Paraxip.status.statusTabPanel.getItem('channelsTabId').add(Paraxip.status.channelTabPanel);
  Paraxip.status.statusTabPanel.getItem('loggingTabId').add(Paraxip.status.loggingTabPanel);
});

Paraxip.status.statusTabPanel.on('tabchange', function(statusTab, newTab) {
  if( newTab.id == "loggingTabId" && Paraxip.status.logging.logLevelGrid.rendered ) {
    Paraxip.status.logging.loadLogLevel();
  }
});

