Ext.namespace("Paraxip","Paraxip.support");


function downloadSupportArchive(btn) {
  try {
    Ext.destroy(Ext.get('downloadIframe'));
  }
  catch(e) {}
  Ext.DomHelper.append(document.body, {
    tag: 'iframe',
    id:'downloadIframe',
    frameBorder: 0,
    width: 0,
    height: 0,
    css: 'display:none;visibility:hidden;height:0px;',
    src: Paraxip.baseUrl + "support/downloadSupportArchive"
  });
}

function generateSupportArchive() {
  Ext.Msg.confirm(
    "Generate Support Archive File",
    "Do you want to create a support archive file?",
    function(choice) {
      if( choice == "yes" ) {
        
        Ext.Ajax.request({
          url: Paraxip.baseUrl + 'support/generateSupportArchive'
          ,waitMsg: 'Creating support archive...'
          ,params: { 'content': Paraxip.support.archiveFormPanel.getItemsValueAsJson() }
          ,success: function(result){
            var response = Ext.util.JSON.decode(result.responseText);

            if( response.success ) {
              downloadSupportArchive();
            } else {
              Ext.Msg.alert(
                "Failure",
                "Failed to create support archive. Please consult " +
                "Gateway Manager log file for more information."
              );
            }
          }
          ,failure: function(form,action) {
            Ext.Msg.alert(
              "Failure",
              "Failed to create support archive. Please consult " +
              "Gateway Manager log file for more information."
            );
          }
        });
      }
    }
  );
}

Paraxip.support.archiveContentCG = new Ext.form.CheckboxGroup({
    id:'Paraxip.support.archiveContentCG',
    name: 'archiveContent',
    xtype: 'checkboxgroup',
    fieldLabel: 'Select Archive Content',
    itemCls: 'x-check-group-alt',
    //Put all controls in a single column with width 100%
    columns: 1,
    items: [
      {boxLabel: 'Configuration Files',
          name: 'configFiles',
          id: 'configFiles_chk',
          checked: true},
      {boxLabel: 'Log Files',
          name: 'logFiles',
          id: 'logFiles_chk',
          checked: true},
      {boxLabel: 'Core Dumps Files',
          name: 'coreFiles',
          id: 'coreFiles_chk',
          checked: true},
      {boxLabel: 'Call Log Files',
          name: 'callLogFiles',
          id: 'callLogFiles_chk',
          checked: false},
      {boxLabel: 'Audio Recording Files',
          name: 'audioFiles',
          id: 'audioFiles_chk',
          checked: false}
    ]
});

Paraxip.support.generateButton = new Ext.Button({
  id        : "Paraxip.support.generateButton"
  ,text     : "Generate Archive"
  ,handler  : generateSupportArchive
});

Paraxip.support.archiveFormPanel = new Ext.form.FormPanel({
  id            : "Paraxip.support.archiveFormPanel"
  ,layoutConfig : {
    activeItem  : 0
  }
  ,defaults     : {
    layout      : 'form'
    ,style      : 'text-align:left;'
    ,labelWidth : 150
    ,bodyStyle  : 'padding:5px;'
    ,width      : 500
    ,autoHeight : true
    ,allowBlank : false
    ,fill       : true
  }
  ,buttonAlign  : "left"
  , items       : [
     Paraxip.support.archiveContentCG  
  ]
  , buttons     : [
      Paraxip.support.generateButton
  ]
});

Paraxip.support.archivePanel = new ParaxipPanelWithHelp({
  id          : 'Paraxip.support.archivePanel'
  ,name       : 'Paraxip.support.archivePanel'
  ,title      : 'Generate Support Archive'
  ,helpUrl  : "support/support.html"
  , items     : [
     Paraxip.support.archiveFormPanel
  ]
});

Paraxip.support.supportTabPanel = new Ext.Panel({
  id            : "Paraxip.support.supportTabPanel"
  ,layout       : "form"
  ,frame        : true
  ,header       : false
  ,autoScroll   : true
  ,title        : 'Support'
  ,layout       : 'accordion'
  ,layoutConfig : {
    activeItem  : 0
  }
  ,defaults     : {
    layout      : 'form'
    ,style      : 'text-align:left;'
    ,labelWidth : 150
    ,bodyStyle  : 'padding:5px;'
    ,width      : 500
    ,autoHeight : true
    ,allowBlank : false
    ,fill       : true
  }
  ,buttonAlign  : "right"
  ,items        : [
    Paraxip.support.archivePanel
  ]
});
